Skip to main content
POST
/
v1
/
annotations
/
list
List Annotations
curl --request POST \
  --url https://api.mixpeek.com/v1/annotations/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document_id": "<string>",
  "collection_id": "<string>",
  "label": "<string>",
  "actor_id": "<string>",
  "retriever_id": "<string>"
}
'
import requests

url = "https://api.mixpeek.com/v1/annotations/list"

payload = {
"document_id": "<string>",
"collection_id": "<string>",
"label": "<string>",
"actor_id": "<string>",
"retriever_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_id: '<string>',
collection_id: '<string>',
label: '<string>',
actor_id: '<string>',
retriever_id: '<string>'
})
};

fetch('https://api.mixpeek.com/v1/annotations/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "document_id": "<string>",
      "namespace_id": "<string>",
      "label": "<string>",
      "annotation_id": "<string>",
      "collection_id": "<string>",
      "confidence": 0.5,
      "reasoning": "<string>",
      "payload": {},
      "retriever_id": "<string>",
      "execution_id": "<string>",
      "stage_name": "<string>",
      "actor_id": "system",
      "actor_type": "system",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 0
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
integer
default:0
Required range: x >= 0
limit
integer
default:50
Required range: 1 <= x <= 500

Body

application/json

Query parameters for listing annotations.

document_id
string | null

Filter by document.

collection_id
string | null

Filter by collection.

label
string | null

Filter by label.

actor_id
string | null

Filter by who annotated.

retriever_id
string | null

Filter by retriever.

Response

Successful Response

Paginated annotation list.

results
AnnotationResponse · object[]
total_count
integer
default:0